# /// script
# requires-python = ">=3.13"
# dependencies = [
#     "advertools",
# ]
# ///

import sys
from urllib.parse import urlsplit

import advertools as adv
import pandas as pd


if __name__ == "__main__":
    robots_url = sys.argv[1]
    robots_df = adv.robotstxt_to_df(robots_url)
    sitemap = adv.sitemap_to_df(robots_url)
    user_agents = robots_df[robots_df['directive'].str.contains("User-agent", case=False)]['content']
    robots_report = adv.robotstxt_test(
        robotstxt_url=robots_url,
        user_agents=user_agents,
        urls=sitemap['loc'].dropna())
    print(robots_report[~robots_report['can_fetch']])
